# 基线版本和定制版本同步更改
可以参考这个链接  
https://www.cnblogs.com/Mufasa/p/14431990.html  
有两种方案：
- 多分支
- 多仓库 

多分支大体思路是：  
1. 从基线仓库拉取最新的程序到本地
2. 创建新分支代表定制版本，并切换到新分支
3. 做一些定制化修改
4. 测试无误后提交更改
5. 把定制版本分支推送到服务器
6. 基线仓库更新优化
7. 切换到定制版本分支，单次更改可以采用摘取（cherry-pick）命令把基线上的更改提交到当前定制分支。同时同步多次更改可以采用合并命令。
8. 推送定制分支

多仓库大体思路：
1. 从基线仓库拉取最新的程序到本地
2. 做一些定制化修改，代表定制版本
3. 测试无误后提交更改
4. 在服务器新建定制版本仓库，把推送远端仓库的链接改成定制版本的链接。再添加一个名叫“upstream”（好像学名上游分支）的远端仓库，链接为原来基线仓库的链接。
5. 把定制版本程序推送到定制版本仓库
6. 基线仓库更新优化
7. 在本地定制版本库，通过抓取（或称获取，fetch）命令，抓取上游分支基线上的更改。
8. 通过合并或者变基命令把上一步更改同步提交到定制仓库
9. 推送定制分支

个人推荐多仓库管理，仓库分支结构清晰，同步基线的更改没麻烦太多。
